import numpy as np
from matplotlib import pyplot as plt

or1 = [10, 11, 12, 13, 14]
markers = ["^", "+", "s", "D", "."]

data = np.loadtxt("test/eff2.txt")
data = data.reshape(3, 5)
data = data / 10000

fig = plt.figure(dpi=400)

ax = plt.subplot(1, 1, 1)
for k in range(5):
    ax.scatter([7, 8.5, 10], data[:, k], label=r"$R_o/R_i$ = {:.2f}".format(or1[k] / 7), marker=markers[k])
ax.legend(loc="lower left")
ax.set_xlabel(r"$R_i$ [cm]", fontsize=15)
ax.set_ylabel("Efficiency", fontsize=15)
ax.set_xticks([7, 8.5, 10])

plt.tight_layout()
plt.subplots_adjust()
# plt.show()
plt.savefig("/home/fox/Documents/Thesis/figures/chap3/Fig5.png")
