import numpy as np
from matplotlib import pyplot as plt

or1 = [10, 11, 12, 13, 14]
or2 = [12.14, 13.35, 14.57, 15.79, 17]
energy = [600, 650, 700, 750, 800, 850, 900, 950]
markers = ["^", "+", "s", "D", "."]

data = np.loadtxt("test/eff.txt")
data = data.reshape(10, 8)

roi = np.loadtxt("test/roi.txt")
roi = roi.reshape(10, 8)
roi = 1 - roi / data

plt.figure(dpi=400)

for k in range(5):
    plt.scatter(energy, roi[k], label="{:d}cm".format(or1[k]), marker=markers[k])
plt.xlabel("Energy [keV]", fontsize=15)
plt.ylabel(r"Energy Leakage Rate $\epsilon$", fontsize=15)
plt.legend(loc="lower left")

plt.tight_layout()
plt.subplots_adjust()
# plt.show()
plt.savefig("/home/fox/Documents/Thesis/figures/chap3/Fig7(a).png")
